Gets a specific action for a project automation.

GEThttps://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}/actions/{actionId}
GET https://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}/actions/{actionId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project of the automation.

automationIdstringRequired
format: uuid

The id of the automation.

actionIdstringRequired
format: uuid

The id of the action.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the action.

createdBystringOptional
format: uuid

The id of the user who created the action.

createdOnstringOptional
format: date-time

The date the action was created.

updatedBystringOptional
format: uuid

The id of the user who updated the action.

updatedOnstringOptional
format: date-time

The date the action was updated.

typestring or nullOptional

The type of the action.

ordernumber or nullOptional
format: double

The order of the action.

valuesarray of object or nullOptional

The values of the action.

Show 2 properties
namestring or nullOptional

The name of the action value.

valuestring or nullOptional

The value of the action value.

Search documentation